<?php
/**
 * Template part for displaying front page slider.
 *
 * @package Moral
 */

// Get default  mods value.
$slider = get_theme_mod( 'franchise_slider', 'custom' );

if ( 'disable' === $slider ) {
    return;
}

$default = franchise_get_default_mods();

$slider_num = get_theme_mod( 'franchise_slider_num', 3 );

?>
<div id="featured-slider" class="relative">
    <div class="featured-slider-wrapper" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": true, "arrows":true, "autoplay": true, "fade": false }'>
	        	<?php

	        	if (  in_array( $slider, array( 'post', 'page', 'cat' ) ) ) {

	        	    if ( 'cat' === $slider ) {
	        	        $cat_id = get_theme_mod( 'franchise_slider_cat' );
	        	        $args = array(
	        	            'cat' => $cat_id,   
	        	            'posts_per_page' => $slider_num,
	        	        );
	        	    } else {
	        	        $id = array();
	        	        for ( $i=1; $i <= $slider_num; $i++ ) { 
	        	            $id[] = get_theme_mod( "franchise_slider_{$slider}_" . $i );
	        	        }
	        	        $args = array(
	        	            'post_type' => $slider,
	        	            'post__in' => (array)$id,   
                            'orderby'   => 'post__in',
	        	            'posts_per_page' => $slider_num,
	        	            'ignore_sticky_posts' => true,
	        	        );
	        	    }

	        	    $query = new WP_Query( $args );

	        	    $i = 1;
	        	    if ( $query->have_posts() ) :
	        	        while ( $query->have_posts() ) :
	        	            $query->the_post();
	        	            ?>
	        	        
	        	            <article style="background-image: url('<?php the_post_thumbnail_url( 'large' ); ?>');">
	            				<div class="overlay"></div>
					            <div class="wrapper">
					                <div class="featured-content-wrapper">
					                    <header class="entry-header animated animatedFadeInUp">
					                        <h2 class="entry-title"><?php the_title();?></h2>
					                    </header>

					                    <div class="more-link animated animatedFadeInUp">
					                        <a href="<?php the_permalink(); ?>" class="btn btn-default"><?php echo ecc_html( get_theme_mod( 'franchise_slider_custom_btn_' . $i, $default['franchise_slider_custom_btn'] ) ); ?></a>
					                    </div><!-- .more-link -->
					                    </div><!-- .featured-content-wrapper -->
					            </div><!-- .wrapper -->
		        	        </article>
	        	        <?php 
	        	        $i++;
	        	    	endwhile;
	        	        wp_reset_postdata();
	        	    endif; 
	        	} else {
	        	    for ( $i=1; $i <= $slider_num; $i++ ) { 
	        	        $img_url = get_theme_mod( 'franchise_slider_image_' . $i );
	        	        $content   = get_theme_mod( 'franchise_slider_custom_content_' . $i, $default['franchise_slider_custom_content'] );
	        	        $btn_url = get_theme_mod( 'franchise_slider_custom_link_' . $i, '#' );
	        	        $btn_txt = get_theme_mod( 'franchise_slider_custom_btn_' . $i, $default['franchise_slider_custom_btn'] );
	        	        
	        	        ?>
	        	        <article style="background-image: url( <?php echo esc_url( $img_url );?> );">
            				<div class="overlay"></div>
				            <div class="wrapper">
				                <div class="featured-content-wrapper">
				                    <header class="entry-header animated animatedFadeInUp">
				                        <h2 class="entry-title"><?php echo esc_html( $content );?></h2>
				                    </header>
				                    <?php if ( $btn_txt ) : ?>
					                    <div class="more-link animated animatedFadeInUp">
					                        <a href="<?php echo esc_url( $btn_url ); ?>" class="btn btn-default"><?php echo esc_html( $btn_txt ); ?></a>
					                    </div><!-- .more-link -->
				                    <?php endif; ?>
				                </div><!-- .featured-content-wrapper -->
				            </div><!-- .wrapper -->
	        	        </article>
	        	<?php   
	        	    }
	        	}
	        	?>
    </div><!-- .featured-slider-wrapper -->
</div><!-- #featured-slider -->